## org.hibernate.usertype
Interface Sized

    public interface Sized

Extends dictated/default column size declarations from `Type` to the `UserType` hierarchy as well via an optional interface.

Method Summary
`Size[]` `defaultSizes()` Defines the column sizes to use according to this type if the user did not explicitly say (and if no `dictatedSizes()` were given).
`Size[]` `dictatedSizes()` Return the column sizes dictated by this type.

Method Detail

### dictatedSizes

    Size[] dictatedSizes()

  Return the column sizes dictated by this type. For example, the mapping for a `char`/`Character` would have a dictated length limit of 1; for a string-based `UUID` would have a size limit of 36; etc.

  Returns:
    The dictated sizes.
  See Also:
    `Type.dictatedSizes(org.hibernate.engine.spi.Mapping)`

### defaultSizes

    Size[] defaultSizes()

  Defines the column sizes to use according to this type if the user did not explicitly say (and if no `dictatedSizes()` were given).

  Returns:
    The default sizes.
  See Also:
    `Type.defaultSizes(org.hibernate.engine.spi.Mapping)`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.